View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
13574Bug reportsSurvey editingpublic2018-06-15 14:27
Reportertpartner Assigned ToLouisGac 
PriorityimmediateSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.6.x 
Target Version3.5.x 
Summary13574: Some placeholders no longer available in 3.x
DescriptionThe following placeholders are not available in the question text, whereas, they were in 2.x.

- GROUPNAME
- NUMBEROFQUESTIONS
- NUMBEROFGROUPS
- QUESTION_CODE
- TEMPLATEURL

See attached screenshot and survey.
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.6.1
I will donate to the project if issue is resolvedNo
BrowserN/A
Database type & versionmysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Relationships

parent of 13490 closedLouisGac GID placeholderfield missing sometimes 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tpartner

tpartner

2018-04-05 16:39

developer  

capture-4.png (48,724 bytes)   
capture-4.png (48,724 bytes)   
LouisGac

LouisGac

2018-05-28 18:53

developer   ~47885

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27244
LouisGac

LouisGac

2018-05-28 18:54

developer   ~47886

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27245
LouisGac

LouisGac

2018-05-28 18:55

developer   ~47887

other replacements will be more tricky... they were using global variables....
LouisGac

LouisGac

2018-05-30 11:41

developer   ~47913

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27272
c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48151

New version released.

Related Changesets

LimeSurvey: master 43a3248a

2018-05-28 18:53:05

LouisGac

Details Diff
Fixed issue 13574: Some placeholders no longer available in 3.x Affected Issues
13574
mod - application/helpers/replacements_helper.php Diff File

LimeSurvey: master 478aa762

2018-05-28 18:54:36

LouisGac

Details Diff
Fixed issue 13574: Some placeholders no longer available in 3.x Affected Issues
13574
mod - application/helpers/replacements_helper.php Diff File

LimeSurvey: master df1af8ea

2018-05-30 11:41:03

LouisGac

Details Diff
Fixed issue 13574: Some placeholders no longer available in 3.x Affected Issues
13574
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/replacements_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-04-05 16:39 tpartner New Issue
2018-04-05 16:39 tpartner File Added: limesurvey_survey_319521.lss
2018-04-05 16:39 tpartner File Added: capture-4.png
2018-04-09 13:03 ollehar Assigned To => LouisGac
2018-04-09 13:03 ollehar Status new => assigned
2018-05-23 13:10 LouisGac Priority none => immediate
2018-05-23 13:10 LouisGac Sticky Issue No => Yes
2018-05-28 18:53 LouisGac Changeset attached => LimeSurvey master 43a3248a
2018-05-28 18:53 LouisGac Note Added: 47885
2018-05-28 18:53 LouisGac Resolution open => fixed
2018-05-28 18:54 LouisGac Changeset attached => LimeSurvey master 478aa762
2018-05-28 18:54 LouisGac Note Added: 47886
2018-05-28 18:55 LouisGac Note Added: 47887
2018-05-29 11:12 LouisGac Relationship added parent of 13490
2018-05-30 11:41 LouisGac Changeset attached => LimeSurvey master df1af8ea
2018-05-30 11:41 LouisGac Note Added: 47913
2018-05-30 11:51 LouisGac Status assigned => resolved
2018-05-30 11:51 LouisGac Sticky Issue Yes => No
2018-06-15 14:27 c_schmitz Note Added: 48151
2018-06-15 14:27 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing